/// <reference types="node" />
export interface Config {
    write?: boolean;
    indent?: number;
    minify?: boolean;
    stdinFilename?: string;
    stdout?: NodeJS.WriteStream;
}
export default class FixJSON {
    readonly config: Config;
    private stdout;
    constructor(config?: Config);
    main(argv: string[]): Promise<number>;
    fixFiles(paths: string[]): Promise<void>;
    convertString(input: string): string;
    convertFile(path: string): Promise<string>;
    private indent(code);
    private unparse(src);
    private parseString(code, file);
    private parseStdin();
    private parseFile(path);
}
export declare function fixString(input: string, config?: Config): string;
export declare function fixFile(file: string, config?: Config): Promise<string>;
